Bug 1443297 (CVE-2017-5456)

Summary: CVE-2017-5456 Mozilla: Sandbox escape allowing local file system read access (MFSA 2017-12)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cschalle, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-12 06:03:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1437814    

Description Huzaifa S. Sidhpurwala 2017-04-19 05:33:37 UTC
A mechanism to bypass file system access protections in the sandbox using the file system request constructor through an IPC message. This allows for read only access to the local file system.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-11/#CVE-2017-5456


Acknowledgements:

Name: the Mozilla project
Upstream: Julian Hector

Comment 1 errata-xmlrpc 2017-04-21 00:49:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1106 https://access.redhat.com/errata/RHSA-2017:1106